/****************************************************************************************************

		I3DExShaderPreviewPart.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	4/25/2003

****************************************************************************************************/

#ifndef __I3DExShaderPreviewPart__
#define __I3DExShaderPreviewPart__

#if CP_PRAGMA_ONCE
#pragma once
#endif

//****** Forward Declarations ************************************************

struct I3DShMasterShader;



//****** Globally Unique Ids *************************************************

MCDEFINE_GUID(IID_I3DExShaderPreviewPart,0x81bbbfef, 0x5def, 0x4d36, 0x91, 0xf9, 0x1d, 0xfd, 0x3d, 0x17, 0xef, 0xa7);


// ****************************************************************************
//								I3DExShaderPreviewPart
// 
// -Description:
//
// This is used to access the shader preview part used in the properties of
// instances ('shpw' part extension).
//
struct I3DExShaderPreviewPart: public IMCUnknown
{
	virtual void	 MCCOMAPI SetMasterShader(I3DShMasterShader* masterShader, boolean inInvalidatePart) = 0;
};

#endif
